- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_waf_info – Retrieve information for WAF ACLs, Rule , Conditions and Filters

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Retrieve information for WAF ACLs, Rule , Conditions and Filters.
- This module was called `aws_waf_facts` before Ansible 2.9. The usage did not change.

Aliases: aws_waf_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
name - |  | The name of a Web Application Firewall
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.
waf_regional boolean added in 2.9 | Choices: no ← yes | Whether to use waf_regional module. Defaults to true

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    - name: obtain all WAF information
      aws_waf_info:

    - name: obtain all information for a single WAF
      aws_waf_info:
        name: test_waf

    - name: obtain all information for a single WAF Regional
      aws_waf_info:
        name: test_waf
        waf_regional: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
wafs complex | success | The WAFs that match the passed arguments
| default_action integer | always | The action to perform if none of the Rules contained in the WebACL match. Sample: BLOCK
| metric_name string | always | A friendly name or description for the metrics for this WebACL Sample: test_waf_metric
| name string | always | A friendly name or description of the WebACL Sample: test_waf
| rules complex | always | An array that contains the action for each Rule in a WebACL , the priority of the Rule
|  | action string | always | The action to perform if the Rule matches Sample: BLOCK
|  | metric_name string | always | A friendly name or description for the metrics for this Rule Sample: ipblockrule
|  | name string | always | A friendly name or description of the Rule Sample: ip_block_rule
|  | predicates list | always | The Predicates list contains a Predicate for each ByteMatchSet, IPSet, SizeConstraintSet, SqlInjectionMatchSet or XssMatchSet object in a Rule Sample: [{'byte_match_set_id': '47b822b5-abcd-1234-faaf-1234567890', 'byte_match_tuples': [{'field_to_match': {'type': 'QUERY_STRING'}, 'positional_constraint': 'STARTS_WITH', 'target_string': 'bobbins', 'text_transformation': 'NONE'}], 'name': 'bobbins', 'negated': False, 'type': 'ByteMatch'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Mike Mochan (@mmochan)
- Will Thames (@willthames)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.